import locale
import googletrans
import sys

class TransPrint:
    @staticmethod
    def traducir(*args, destino=None, **kwargs):
        # Si no se pasa idioma, detectar el idioma del sistema
        if destino is None:
            idioma_destino = locale.getdefaultlocale()[0][:2]  # Obtener el código de idioma (ej. 'es', 'en')
        else:
            idioma_destino = destino
        
        # Traducir el mensaje
        translator = googletrans.Translator()
        texto = ' '.join(map(str, args))
        texto_traducido = translator.translate(texto, dest=idioma_destino).text
        print(texto_traducido, **kwargs)

# Sobrescribir la función print
print = TransPrint.traducir

# Si se ejecuta desde la consola
if __name__ == "__main__":
    if len(sys.argv) >= 2:
        # Se obtiene el argumento para el mensaje
        mensaje = " ".join(sys.argv[1:])

        # Si se pasa el argumento 'destino', se procesa
        destino = None
        if '--destino' in sys.argv:
            destino_idx = sys.argv.index('--destino') + 1
            if destino_idx < len(sys.argv):
                destino = sys.argv[destino_idx]

        # Llamamos a la función traducir
        print(mensaje, destino=destino)
